Get product details (bulk)
GET/product-service/products-by-sku
Returns detailed product information for multiple products at once. Pass product identifiers as a JSON array in the identifiers query parameter.
This endpoint returns the same product structure as the single-product endpoint but wrapped in a products array.
Example request:
GET https://api.data.zoovu.com/product-service/products-by-sku?projectId=12345&identifiers=["PRD-001","PRD-002"]
Authorization: Bearer YOUR_KEY
Request
Responses
- 200
- 401
- 404
OK
{
"products": [
{
"id": 241659429,
"identifier": "IRB-50920",
"groupId": "IRB-50920",
"name": "Laptop AH",
"link": "www.myshop.com/product/IRB-50920",
"images": [
{
"url": "www.myshop.com/product/IRB-50920/img.jpg",
"type": "SMALL"
}
],
"categories": [
{
"path": [
"Laptops"
],
"categoryId": 291156242
}
],
"facts": [
{
"attributeId": 288188589,
"attribute": "Brand",
"valueId": 292189243,
"value": "BrandW",
"type": "TEXT_ATTRIBUTE"
}
],
"lastUpdateTs": 1745928435738
},
{
"id": 241659430,
"identifier": "IRB-50921",
"groupId": "IRB-50921",
"name": "Laptop BX",
"link": "www.myshop.com/product/IRB-50921",
"images": [
{
"url": "www.myshop.com/product/IRB-50921/img.jpg",
"type": "SMALL"
}
],
"categories": [
{
"path": [
"Laptops"
],
"categoryId": 291156243
}
],
"facts": [
{
"attributeId": 288188589,
"attribute": "Brand",
"valueId": 292189244,
"value": "BrandX",
"type": "TEXT_ATTRIBUTE"
}
],
"lastUpdateTs": 1745928435740
}
]
}
Unauthorized
Not Found